Get
/api/user_management/v1/users
Retrieves a list of agents using the contact center API key .
Header parameters
Query parameters
id
integer
The ID of the user in the contact center.
Example28982
name
string
The name of the user.
ExampleAgent Name
email
string
The email address of the user.
Exampleagent@email.com
sip_account
string
The SIP server address for the user's WebRTC Softphone.
Exampleag@cc1.email.net
sag
string
The user's role.
ExampleAgent
extension
string
The WebRTC extension of the user.
Example2594
caller_id
string
The Caller ID group of the user.
Example378
timezone
string
The time zone of the user.
ExampleIstanbul
Responses
200
Success
Example{
"summary": "Agents parameters",
"description": "All of the user data",
"value": {
"id": 28982,
"name": "AG D",
"email": "ag@g.com",
"sip_account": "ag@cc1.email.net",
"sag": "Agent",
"extension": 2594,
"caller_id": 378,
"timezone": "Istanbul",
"webrtc_ringtone": null,
"assigned_teams": "3623, 2481",
"supervisor_in_teams": "Support, Team3",
"assigned_skills": [
{
"name": "Skill1",
"value": 4
}
],
"assigned_queues": "AG Queue",
"employee_id": 123,
"assigned_channels": [
{
"type": "WhatsApp",
"name": "WhatsApp Support 1",
"value": 1234567890
}
]
}
}
401
Unauthorized
example1
Error1
Invalid API key
{
"error": "Invalid api_key"
}Example{
"error": "Invalid api_key"
}